Loading...
Searching...
No Matches
ring Struct Reference

`#include <ring.h>`

## Public Member Functions

const nc_struct * | GetNC () const
nc_struct *& | GetNC ()
| operator coeffs () const

## Data Fields

idhdl | idroot
rRingOrder_t * | order
int * | block0
int * | block1
int ** | wvhdl
char ** | names
long * | ordsgn
sro_ord * | typ
int * | NegWeightL_Offset
int * | VarOffset
ideal | qideal
| extension to the ring structure: qring, rInit, OR for Q_a/Zp_a, rInit (replaces minideal!); for a start, we assume that there is either no or exactly one generator in minideal, playing the role of the former minpoly; minideal may also be NULL which coincides with the no-generator-case
int * | firstwv
omBin | PolyBin
intvec * | pModW
poly | ppNoether
void * | ext_ref
unsigned long | options
int | ref
short | N
short | OrdSgn
short | firstBlockEnds
short | real_var_start
short | real_var_end
short | isLPring
short | LPncGenCount
BOOLEAN | VectorOut
BOOLEAN | ShortOut
BOOLEAN | CanShortOut
BOOLEAN | LexOrder
BOOLEAN | MixedOrder
BOOLEAN | pLexOrder
BOOLEAN | ComponentOrder
short | ExpL_Size
short | CmpL_Size
short | VarL_Size
short | BitsPerExp
short | ExpPerLong
short | pCompIndex
short | pOrdIndex
short | OrdSize
short | VarL_LowIndex
short | NegWeightL_Size
int * | VarL_Offset
unsigned long | bitmask
unsigned long | wanted_maxExp
unsigned long | divmask
p_Procs_s * | p_Procs
pFDegProc | pFDeg
pLDegProc | pLDeg
pFDegProc | pFDegOrig
pLDegProc | pLDegOrig
p_SetmProc | p_Setm
n_Procs_s * | cf

## Private Attributes

nc_struct * | _nc

## Detailed Description

Definition at line 253 of file ring.h.

## Member Function Documentation

## GetNC() [1/2]

nc_struct *& ring::GetNC | ( |  | ) |

inline

Definition at line 380 of file ring.h.

{ return _nc; }; // public!!!

## GetNC() [2/2]

const nc_struct * ring::GetNC | ( |  | ) | const

inline

Definition at line 379 of file ring.h.

{ return _nc; }; // public!!!

## operator coeffs()

ring::operator coeffs | ( |  | ) | const

inline

Definition at line 383 of file ring.h.

{ return cf; }
cf
CanonicalForm cf
Definition cfModGcd.cc:4091

## Field Documentation

## _nc

nc_struct* ring::_nc

private

Definition at line 377 of file ring.h.

## bitmask

unsigned long ring::bitmask

Definition at line 356 of file ring.h.

## BitsPerExp

short ring::BitsPerExp

Definition at line 340 of file ring.h.

## block0

int* ring::block0

Definition at line 260 of file ring.h.

## block1

int* ring::block1

Definition at line 261 of file ring.h.

## CanShortOut

BOOLEAN ring::CanShortOut

Definition at line 325 of file ring.h.

## cf

n_Procs_s* ring::cf

Definition at line 374 of file ring.h.

## CmpL_Size

short ring::CmpL_Size

Definition at line 335 of file ring.h.

## ComponentOrder

BOOLEAN ring::ComponentOrder

Definition at line 330 of file ring.h.

## divmask

unsigned long ring::divmask

Definition at line 360 of file ring.h.

## ExpL_Size

short ring::ExpL_Size

Definition at line 334 of file ring.h.

## ExpPerLong

short ring::ExpPerLong

Definition at line 341 of file ring.h.

## ext_ref

void* ring::ext_ref

Definition at line 295 of file ring.h.

## firstBlockEnds

short ring::firstBlockEnds

Definition at line 313 of file ring.h.

## firstwv

int* ring::firstwv

Definition at line 289 of file ring.h.

## idroot

idhdl ring::idroot

Definition at line 258 of file ring.h.

## isLPring

short ring::isLPring

Definition at line 319 of file ring.h.

## LexOrder

BOOLEAN ring::LexOrder

Definition at line 326 of file ring.h.

## LPncGenCount

short ring::LPncGenCount

Definition at line 320 of file ring.h.

## MixedOrder

BOOLEAN ring::MixedOrder

Definition at line 327 of file ring.h.

## N

short ring::N

Definition at line 309 of file ring.h.

## names

char** ring::names

Definition at line 264 of file ring.h.

## NegWeightL_Offset

int* ring::NegWeightL_Offset

Definition at line 275 of file ring.h.

## NegWeightL_Size

short ring::NegWeightL_Size

Definition at line 350 of file ring.h.

## options

unsigned long ring::options

Definition at line 304 of file ring.h.

## order

rRingOrder_t* ring::order

Definition at line 259 of file ring.h.

## OrdSgn

short ring::OrdSgn

Definition at line 311 of file ring.h.

## ordsgn

long* ring::ordsgn

Definition at line 267 of file ring.h.

## OrdSize

short ring::OrdSize

Definition at line 344 of file ring.h.

## p_Procs

p_Procs_s* ring::p_Procs

Definition at line 362 of file ring.h.

## p_Setm

p_SetmProc ring::p_Setm

Definition at line 373 of file ring.h.

## pCompIndex

short ring::pCompIndex

Definition at line 342 of file ring.h.

## pFDeg

pFDegProc ring::pFDeg

Definition at line 365 of file ring.h.

## pFDegOrig

pFDegProc ring::pFDegOrig

Definition at line 369 of file ring.h.

## pLDeg

pLDegProc ring::pLDeg

Definition at line 366 of file ring.h.

## pLDegOrig

pLDegProc ring::pLDegOrig

Definition at line 371 of file ring.h.

## pLexOrder

BOOLEAN ring::pLexOrder

Definition at line 328 of file ring.h.

## pModW

intvec* ring::pModW

Definition at line 292 of file ring.h.

## PolyBin

omBin ring::PolyBin

Definition at line 291 of file ring.h.

## pOrdIndex

short ring::pOrdIndex

Definition at line 343 of file ring.h.

## ppNoether

poly ring::ppNoether

Definition at line 293 of file ring.h.

## qideal

ideal ring::qideal

extension to the ring structure: qring, rInit, OR for Q_a/Zp_a, rInit (replaces minideal!); for a start, we assume that there is either no or exactly one generator in minideal, playing the role of the former minpoly; minideal may also be NULL which coincides with the no-generator-case

Definition at line 281 of file ring.h.

## real_var_end

short ring::real_var_end

Definition at line 315 of file ring.h.

## real_var_start

short ring::real_var_start

Definition at line 315 of file ring.h.

## ref

int ring::ref

Definition at line 307 of file ring.h.

## ShortOut

BOOLEAN ring::ShortOut

Definition at line 324 of file ring.h.

## typ

sro_ord* ring::typ

Definition at line 271 of file ring.h.

## VarL_LowIndex

short ring::VarL_LowIndex

Definition at line 348 of file ring.h.

## VarL_Offset

int* ring::VarL_Offset

Definition at line 353 of file ring.h.

## VarL_Size

short ring::VarL_Size

Definition at line 339 of file ring.h.

## VarOffset

int* ring::VarOffset

Definition at line 277 of file ring.h.

## VectorOut

BOOLEAN ring::VectorOut

Definition at line 323 of file ring.h.

## wanted_maxExp

unsigned long ring::wanted_maxExp

Definition at line 358 of file ring.h.

## wvhdl

int** ring::wvhdl

Definition at line 263 of file ring.h.

The documentation for this struct was generated from the following file:

- libpolys/polys/monomials/ring.h